<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
?>

<?php
$title = Engine_Api::_()->getApi('settings', 'core')->getSetting('core_general_site_title', $this->translate('_SITE_TITLE'));
$title = $this->translate($title);
$logo  = $this->logo;
$route = $this->viewer()->getIdentity()
             ? array('route'=>'user_general', 'action'=>'home')
             : array('route'=>'default');
if($this->disableLink){
    $route = "javascript:;";
}
if($logo) { 
$logoPath = Engine_Api::_()->core()->getFileUrl($logo, true);
}

echo ($logo && $logoPath)
     ? $this->htmlLink($route, $this->htmlImage(Engine_Api::_()->core()->getFileUrl($logoPath['image']), array('alt' => $logoPath['alt_text'] ? $logoPath['alt_text'] : $title)))
     : $this->htmlLink($route, $title);

